Cos'è ElectroYou | Login Iscriviti

ElectroYou - la comunità dei professionisti del mondo elettrico

sudo apt-get update

Moderatori: Foto UtenteMassimoB, Foto Utentexyz

0
voti

[1] sudo apt-get update

Messaggioda Foto UtenteDeltaElectronics » 30 gen 2022, 14:31

Buongiorno....
Digitando il comando:

    sudo apt-get update

ricevo questa caterva di errori:

    W: An error occurred during the signature verification.
    The repository is not updated and the previous index files will be used. GPG error: http://repo.mysql.com/apt/debian bullseye InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 467B942D3A79BD29
    W: Failed to fetch http://repo.mysql.com/apt/debian/dists/ ... /InRelease The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 467B942D3A79BD29
    W: Some index files failed to download. They have been ignored, or old ones used instead.

Che vuol dire ?
Freedom is not free
Avatar utente
Foto UtenteDeltaElectronics
216 1 3 7
Sostenitore
Sostenitore
 
Messaggi: 585
Iscritto il: 27 set 2015, 14:01

0
voti

[2] Re: sudo apt-get update

Messaggioda Foto Utentexyz » 30 gen 2022, 15:57

Esattamente quello che c'è scritto, non ha la chiave pubblica valida del repository indicato, quindi ignora i pacchetti presenti.
Avatar utente
Foto Utentexyz
6.761 2 4 6
G.Master EY
G.Master EY
 
Messaggi: 1751
Iscritto il: 5 dic 2009, 18:37
Località: Italy Turin

1
voti

[3] Re: sudo apt-get update

Messaggioda Foto Utentelucaking » 30 gen 2022, 16:35

Qui dovresti trovare la soluzione.
Avatar utente
Foto Utentelucaking
1.388 3 5 8
Expert
Expert
 
Messaggi: 1215
Iscritto il: 29 mag 2015, 14:28

0
voti

[4] Re: sudo apt-get update

Messaggioda Foto UtentedrGremi » 30 gen 2022, 18:25

Perché stai usando repo non ufficiali?
Avatar utente
Foto UtentedrGremi
2.056 3 5 9
Master EY
Master EY
 
Messaggi: 1283
Iscritto il: 20 nov 2019, 19:49

0
voti

[5] Re: sudo apt-get update

Messaggioda Foto Utentefairyvilje » 30 gen 2022, 18:55

Probabilmente perché i repository ufficiali di debian hanno spesso pacchetti poco aggiornati. Se mi serve mysql magari non voglio/posso lavorare con una versione dell'anno scorso od aspettare i cicli di release.
"640K ought to be enough for anybody" Bill Gates (?) 1981
Qualcosa non ha funzionato...

Lo sapete che l'arroganza in informatica si misura in nanodijkstra? :D
Avatar utente
Foto Utentefairyvilje
14,2k 4 9 12
G.Master EY
G.Master EY
 
Messaggi: 2954
Iscritto il: 24 gen 2012, 19:23

0
voti

[6] Re: sudo apt-get update

Messaggioda Foto UtentedrGremi » 30 gen 2022, 19:46

fairyvilje ha scritto:hanno spesso pacchetti poco aggiornati

Si, certo. Non è esattamente la debian way. A volte ho visto farlo per avere mysql invece di mariadb. Comunque dipende dalle esigenze avrei consigliato soluzioni alternative (per esempio docker).
Se alla versione di debian successiva si vuole fare un aggiornamento liscio non usare i repository esterni semplifica la vita (ovviamente dipende caso per caso).
Avatar utente
Foto UtentedrGremi
2.056 3 5 9
Master EY
Master EY
 
Messaggi: 1283
Iscritto il: 20 nov 2019, 19:49

1
voti

[7] Re: sudo apt-get update

Messaggioda Foto UtenteMassimoB » 4 feb 2022, 10:40

Sinceramente salterei il problema installandolo manualmente con un package Debian.

qui la guida ufficiale
MCSA Windows Server 2012 R2
Cisco CCNA R&S - Cisco CCNA Security - Cisco CCNA Cyber Ops
CompTia A+ - CompTia Linux+ - CompTIA Systems Support Specialist CSSS
CompTia Pentest+ LPIC-1 - VCP VMware - Cisco CCNP Enterprise
Avatar utente
Foto UtenteMassimoB
14,1k 6 12 13
Expert free
 
Messaggi: 3163
Iscritto il: 28 ott 2012, 9:56
Località: Milano


Torna a Linux

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite